/* Attribute Names */

"Raw_Read_Error_Rate" = "Raw Read Error Rate"; // 1

"Not_Supported" = "Not Supported"; // 1, 2, 191- Smart Storage Systems Xcel-10 SSDs

"Throughput_Performance" = "Throughput Performance"; // 2

"Spin_Up_Time" = "Spin Up Time"; // 3

"Start_Stop_Count" = "Start/Stop Count"; // 4

"Reallocated_Sector_Ct" = "Reallocated Sector Count"; // 5

"Retired_Block_Count" = "Retired Block Count";// 5- Sandforce Based SSD (ADATA, Corsair, Supertalent, OCZ, OWC, Unigen)

"Read_Channel_Margin" = "Read Channel Margin"; // 6

"Seek_Error_Rate" = "Seek Error Rate"; // 7

"Seek_Time_Performance" = "Seek Time Performance"; // 8

"Power_On_Hours" = "Power On Hours"; // 9

"Power_On_Minutes" = "Power On Minutes"; // 9- Some Hitachi, Maxtor, Fujitsu drives

"Power_On_Half_Minutes" = "Power On Half Minutes"; // 9- Some Samsung drives

"Power_On_Seconds" = "Power On Seconds"; // 9- Some Fujitsu drives

"Power_On_Hours_and_Msec" = "Power On Hours and Msec"; // 9- Sandforce Based SSD (ADATA, Corsair, Supertalent, OCZ, OWC, Unigen)

"Proprietary_9" = "Proprietary Attribute"; // 9- Smart Storage Systems XceedUltraX/Adtron A25FBX SSDs

"Spin_Retry_Count" = "Spin Retry Count"; // 10

"Calibration_Retry_Count" = "Calibration Retry Count"; // 11

"Power_Cycle_Count" = "Power Cycle Count"; // 12

"Read_Soft_Error_Rate" = "Read Soft Error Rate"; // 13

"Soft_Read_Error_Rate" = "Soft Read Error Rate"; // 13- Sandforce Based SSD (ADATA, Corsair, Supertalent, OCZ, OWC, Unigen)

"Erase_Program_Cycles" = "Erase Program Cycles";// 100- STEC Mach2 CompactFlash Cards

"Remaining_Energy_Storg" = "Remaining Energy Storage";// 103- STEC Mach2 CompactFlash Cards

"Gigabytes_Erased" =" Gigabytes Erased";// 100- Sandforce Based SSD (ADATA, Corsair, Supertalent, OCZ, OWC, Unigen)

"Proprietary_HWC" ="Proprietary HWC";// 110- Smart Storage Systems Adtron A25FB 3xN SSDs

"Proprietary_MP" ="Proprietary MP";// 111- Smart Storage Systems Adtron A25FB 3xN SSDs

"Proprietary_RtR" ="Proprietary RtR";// 112- Smart Storage Systems Adtron A25FB 3xN SSDs

"Proprietary_RR" ="Proprietary RR";// 113- Smart Storage Systems Adtron A25FB 3xN SSDs

"Proprietary_HFAll" ="Proprietary HFAll";// 120- Smart Storage Systems Adtron A25FB 3xN SSDs

"Proprietary_HF1st" ="Proprietary HF1st";// 121- Smart Storage Systems Adtron A25FB 3xN SSDs

"Proprietary_HF2nd" ="Proprietary HF2nd";// 122- Smart Storage Systems Adtron A25FB 3xN SSDs

"Proprietary_HF3rd" ="Proprietary HF3rd";// 123- Smart Storage Systems Adtron A25FB 3xN SSDs

"Proprietary_SFAll" ="Proprietary SFAll";// 125- Smart Storage Systems Adtron A25FB 3xN SSDs

"Proprietary_SF1st" ="Proprietary SF1st";// 126- Smart Storage Systems Adtron A25FB 3xN SSDs

"Proprietary_SF2nd" ="Proprietary SF2nd";// 127- Smart Storage Systems Adtron A25FB 3xN SSDs

"Proprietary_SF3rd" ="Proprietary SF3rd";// 128- Smart Storage Systems Adtron A25FB 3xN SSDs

"Minimum_Spares_All_Zs" ="Minimum Spares All Zeros";// 130- Smart Storage Systems Adtron A25FB 3xN SSDs

"Spare_Block_Count" = "Spare Block Count"; // 162- Apacer SDM4

"SATA_Phy_Error_Count" = "SATA Physical Error Count"; // 168- Kingston/JMicron SSD

"Grown_Failing_Block_Ct" = "Grown Failing Block Count"; // 170- Crucial SSD

"Bad_Block_Count" = "Bad Block Count"; // 170- Kingston/JMicron SSD

"Reserve_Block_Count" = "Reserve Block Count"; // 170- Intel, Sandforce Based  (ADATA, Corsair, Supertalent, OCZ, OWC, Unigen) SSD

"Reserved_Block_Count" = "Reserved Block Count"; // 170- STEC Mach2 CompactFlash Cards

"Program_Fail_Count" = "Program Fail Count"; // 171- Crucial, Intel, Sandforce Based (ADATA, Corsair, Supertalent, OCZ, OWC, Unigen) SSD

"Avail_OP_Block_Count" = "Available OP Block Count"; // 171- Indilinx Barefoot 3 based SSDs

"Erase_Fail_Count" = "Erase Fail Count"; // 172- Crucial, Intel, Sandforce Based (ADATA, Corsair, Supertalent, OCZ, OWC, Unigen) SSD

"Wear_Levelling_Count" = "Wear Leveling Count"; // 173- Crucial SSD

"Erase_Count" = "Erase Count"; // 173- Kingston/JMicron SSD

"Unexpect_Power_Loss_Ct" = "Unexpected Power Loss Count"; // 174- Crucial, Sandforce Based SSD (ADATA, Corsair, Supertalent, OCZ, OWC, Unigen)

"Pwr_Cycle_Ct_Unplanned" = "Power Cycle Count Unplanned"; // 174- Indilinx Barefoot 3 based SSDs

"Program_Fail_Count_Chip" = "Program Fail Count Chip";  // 175

"Bad_Cluster_Table_Count" = "Bad Cluster Table Count"; // 175- Kingston/JMicron SSD

"Power_Loss_Cap_Test" = "Power Loss Capacity Test";  // 175- Intel DC S3700 Series SSDs

"Erase_Fail_Count_Chip" = "Erase Fail Count Chip";  // 176

"Wear_Leveling_Count" = "Wear Leveling Count"; // 177

"Wear_Range_Delta" = "Wear Range Delta"; // 177- Sandforce Based SSD (ADATA, Corsair, Supertalent, OCZ, OWC, Unigen)

"Used_Rsvd_Blk_Cnt_Chip" = "Used Reserved Block Count Chip"; // 178

"Used_Rsvd_Blk_Cnt_Tot" = "Used Reserved Block Count Total"; // 179

"Unused_Rsvd_Blk_Cnt_Tot" = "Unused Reserved Block Count Total"; // 180

"Program_Fail_Cnt_Total" = "Program Fail Count Total"; // 181

"Non4k_Aligned_Access" = "Non-4k Aligned Access"; // 181- Crucial SSD

"Program_Fail_Count" = "Program Fail Count";// 181- Sandforce Based SSD (ADATA, Corsair, Supertalent, OCZ, OWC, Unigen)

"Erase_Fail_Count_Total" = "Erase Fail Count Total"; // 182

"Erase_Fail_Count" = "Erase Fail Count"; // 182- Sandforce Based SSD (ADATA, Corsair, Supertalent, OCZ, OWC, Unigen)

"Runtime_Bad_Block" = "Runtime Bad Blocks"; // 183

"SATA_Iface_Downshift" = "SATA Interface Downshift"; // 183- Crucial SSD

"SATA_Downshift_Count" = "SATA Downshift Count";  // 183- Intel DC S3700 Series SSDs

"End-to-End_Error" = "End-to-End Errors"; // 184

"Initial_Bad_Block_Count" = "Initial Bad Block Count";// 184- Indilinx Barefoot Based SSD (OCZ, Crucial, Patriot, Super Talent, ASAX, G.Skill, Transcend Ultra)

"IO_Error_Detect_Code_Ct" = "I/O ErrorDetect Code Count"; // 184- Sandforce Based SSD (ADATA, Corsair, Supertalent, OCZ, OWC, Unigen)

"Reported_Uncorrect" = "Reported Uncorrectable Errors"; // 187

"Uncorrectable_Error_Cnt" = "Uncorrectable Error Count"; // 187- Samsung SSD

"Total_Unc_NAND_Reads" = "Total Uncorrectable NAND Reads"; // 187- Indilinx Barefoot 3 based SSDs

"Command_Timeout" = "Command Timeout";  // 188

"High_Fly_Writes" = "High Fly Writes"; // 189

"Factory_Bad_Block_Ct" = "Factory Bad Block Count"; // 189- Crucial SSD

"Airflow_Temperature_Cel" = "Airflow Temperature Celsius";  // 190- WD common for temp ~55

"Temperature_Exceed_Cnt" = "Temperature Exceeded Count"; // 190 Samsung SSD

"Temperature_Case" = "Case Temperature";  // 190- Intel DC S3700 Series SSDs

"G-Sense_Error_Rate" = "G-Sense Error Rate"; // 191

"Power-Off_Retract_Count" = "Power Off Retract Count"; // 192

"Emergency_Retract_Cycle_Ct" = "Emergency Retract Cycle Count"; // 192- Some Fujitsu drives

//"Unexpect_Power_Loss_Ct"; // 192- Samsung SSD, see 174 for strings entry

"Unsafe_Shutdown_Count" = "Unsafe Shutdown Count"; // 192- Kingston, Intel SSD

"Load_Cycle_Count" = "Load Cycle Count"; // 193

"Temperature_Celsius" = "Temperature Celsius"; // 194

"Airflow_Temperature" = "Airflow Temperature"; // 194- Samsung SSD

"Temperature_Celsius_x10" = "Temperature Celsius (Times 10)"; // 194- Smart Storage Systems Adtron A25FB 2xN SSDs

"Fractional_Temperature" = "Fractional Temperature"; // 194- Some Samsung drives

"Temperature_Internal" = "Internal Temperature";  // 194- Intel DC S3700 Series SSDs

"Proprietary_194" = "Proprietary Attribute"; // 194- Smart Storage Systems XceedUltraX/Adtron A25FBX SSDs

"Hardware_ECC_Recovered" = "Hardware ECC Recovered"; // 195

"ECC_On_The_Fly_Count" = "ECC On The Fly Count"; // 195- Fujitsu

"ECC_Rate" = "ECC Rate"; // 195- Samsung SSD

"Program_Failure_Blk_Ct" = "Program Failure Block Count"; // 195- Indilinx Barefoot Based SSD (OCZ, Crucial, Patriot, Super Talent, ASAX, G.Skill, Transcend Ultra)

"ECC_Uncorr_Error_Count" = "ECC Uncorrectable Error Count"; // 195- Sandforce Based SSD (ADATA, Corsair, Supertalent, OCZ, OWC, Unigen)

"Total_Prog_Failures" = "Total Program Failures"; // 195- Indilinx Barefoot 3 based SSDs

"Reallocated_Event_Count" = "Reallocated Event Count"; // 196

"Erase_Failure_Blk_Ct" = "Erase Failure Block Count"; // 196- Indilinx Barefoot Based SSD (OCZ, Crucial, Patriot, Super Talent, ASAX, G.Skill, Transcend Ultra)

"Total_Erase_Failures" = "Total Erase Failures"; // 196- Indilinx Barefoot 3 based SSDs

"Current_Pending_Sector" = "Current Pending Sector Count"; // 197

"Read_Failure_Blk_Ct" = "Read Failure Block Count"; // 197- Indilinx Barefoot Based SSD (OCZ, Crucial, Patriot, Super Talent, ASAX, G.Skill, Transcend Ultra)

"ECC_Error_Count" = "ECC Error Count"; // 197- Smart Storage Systems Xcel-10 SSDs

"Total_Unc_Read_Failures" = "Total Uncorrectable Read Failures"; // 197- Indilinx Barefoot 3 based SSDs

"Offline_Uncorrectable" = "Offline Uncorrectable Sector Count"; // 198

"Off-line_Scan_UNC_Sector_Ct" = "Offline Scan Uncorrectable Sector Count"; // 198- Some Fujitsu drives

"Read_Sectors_Tot_Ct" = "Read Sectors Total Count";// 198- Indilinx Barefoot Based SSD (OCZ, Crucial, Patriot, Super Talent, ASAX, G.Skill, Transcend Ultra)

"Uncorrectable_Sector_Ct" = "Uncorrectable Sector Count"; // 198- Sandforce Based SSD (ADATA, Corsair, Supertalent, OCZ, OWC, Unigen)

"Host_Reads_GiB" = "Host Reads per GB"; // 198- Indilinx Barefoot 3 based SSDs

"UDMA_CRC_Error_Count" = "UDMA CRC Error Count"; // 199

"CRC_Error_Count" = "CRC Error Count"; // 199- Samsung SSD

"Write_Sectors_Tot_Ct" = "Write Sectors Total Count"; // 199- Indilinx Barefoot Based SSD (OCZ, Crucial, Patriot, Super Talent, ASAX, G.Skill, Transcend Ultra)

"SATA_CRC_Error_Count" = "SATA CRC Error Count"; // 199- Sandforce Based SSD (ADATA, Corsair, Supertalent, OCZ, OWC, Unigen)

"Host_Writes_GiB" = "Host Writes per GB"; // 199- Indilinx Barefoot 3 based SSDs

"Multi_Zone_Error_Rate" = "Multi Zone Error Rate"; // 200- Some WD drives

"Write_Error_Count" = "Write Error Count"; // 200- Some Fujitsu drives

"Read_Commands_Tot_Ct" = "Read Commands Total Count"; // 200- Indilinx Barefoot Based SSD (OCZ, Crucial, Patriot, Super Talent, ASAX, G.Skill, Transcend Ultra)

// "Soft_Read_Error_Rate" = "Soft Read Error Rate"; // 201- see 13 for strings entry

"Detected_TA_Count" = "Detected Torque Amplification Count"; // 201- Some Fujitsu drives

"Supercap_Status" = "Supercap Status"; // 201- Samsung SSD

"Write_Commands_Tot_Ct" = "Write Commands Total Count"; // 201- Indilinx Barefoot Based SSD (OCZ, Crucial, Patriot, Super Talent, ASAX, G.Skill, Transcend Ultra)

"Unc_Soft_Read_Err_Rate" ="Uncorrectable Soft Read Error Rate"; // 201- Sandforce Based SSD (ADATA, Corsair, Supertalent, OCZ, OWC, Unigen)

"Data_Address_Mark_Errs" ="Data Address Mark Errors"; // 202

"Perc_Rated_Life_Used" = "Percentage of Rated Life Used"; // 202- Crucial SSD

"TA_Increase_Count" = "Torque Amplification Increase Count"; // 202- Fujitsu

"Exception_Mode_Status" = "Exception Mode Status"; // 202- Samsung SSD

"Error_Bits_Flash_Tot_Ct" = "Error Bits Flash Total Count"; // 202- Indilinx Barefoot Based SSD (OCZ, Crucial, Patriot, Super Talent, ASAX, G.Skill, Transcend Ultra)

"Run_Out_Cancel" = "Run Out Cancel (ECC Error Count)"; // 203- Fujitsu

"Corr_Read_Errors_Tot_Ct" = "Corrrectable Read Errors Total Count"; // 203- Indilinx Barefoot Based SSD (OCZ, Crucial, Patriot, Super Talent, ASAX, G.Skill, Transcend Ultra)
 
"Soft_ECC_Correction" = "Soft ECC Correction"; // 204

"Shock_Count_Write_Opern" = "Shock Count Write Operations"; // 204- Fujitsu

"Bad_Block_Full_Flag" = "Bad Block Full Flag"; // 204- Indilinx Barefoot Based SSD (OCZ, Crucial, Patriot, Super Talent, ASAX, G.Skill, Transcend Ultra)

"Soft_ECC_Correct_Rate" = "Soft ECC Correctable Rate"; // 204- Sandforce Based SSD (ADATA, Corsair, Supertalent, OCZ, OWC, Unigen)

"Thermal_Asperity_Rate" = "Thermal Asperity Rate"; // 205

"Shock_Rate_Write_Opern" = "Shock Rate Write Operations"; // 205- Fujitsu

"Max_PE_Count_Spec" = "Maximum Program/Erase Count Specification"; // 205- Indilinx Barefoot Based SSD (OCZ, Crucial, Patriot, Super Talent, ASAX, G.Skill, Transcend Ultra)

"Flying_Height" = "Flying Height"; // 206- Fujitsu

"Write_Error_Rate" = "Write Error Rate"; // 206- Crucial SSD

"Min_Erase_Count" = "Minimum Erase Count"; // 206- Indilinx Barefoot Based SSD (OCZ, Crucial, Patriot, Super Talent, ASAX, G.Skill, Transcend Ultra)

"Spin_High_Current" = "Spin High Current"; // 207- Maxtor

"Max_Erase_Count" = "Maximum Erase Count"; // 207- Indilinx Barefoot Based SSD (OCZ, Crucial, Patriot, Super Talent, ASAX, G.Skill, Transcend Ultra)

"Spin_Buzz" = "Spin Buzz"; // 208- Maxtor

"Average_Erase_Count" = "Average Erase Count"; // 208- Indilinx Barefoot Based SSD (OCZ, Crucial, Patriot, Super Talent, ASAX, G.Skill, Transcend Ultra)

"Offline_Seek_Performnce" = "Offline Seek Performance"; // 209 Maxtor

"Remaining_Lifetime_Perc" = "Remaining Lifetime Percentage"; // 209- Indilinx Barefoot Based SSD (OCZ, Crucial, Patriot, Super Talent, ASAX, G.Skill, Transcend Ultra)

"Indilinx_Internal" = "Indilinx Internal"; // 210- Indilinx Barefoot Based SSD (OCZ, Crucial, Patriot, Super Talent, ASAX, G.Skill, Transcend Ultra)

"SATA_Error_Ct_CRC" = "SATA CRC Error Count"; // 211- Indilinx Barefoot Based SSD (OCZ, Crucial, Patriot, Super Talent, ASAX, G.Skill, Transcend Ultra)

"SATA_Error_Ct_Handshake" = "SATA Handshake Error Count"; // 212- Indilinx Barefoot Based SSD (OCZ, Crucial, Patriot, Super Talent, ASAX, G.Skill, Transcend Ultra)

//"Indilinx_Internal" // 213- See 210 for strings entry

"Disk_Shift" = "Disk Shift"; // 220

//"G-Sense_Error_Rate" = "G-Sense Error Rate"; // 221- see 191 for strings entry

"Loaded_Hours" = "Loaded Hours"; // 222

"Load_Retry_Count" = "Load Retry Count"; // 223

"Load_Friction" = "Load Friction"; // 224

"Host_Writes_32MiB" = "Host Writes per 32MB"; // 225- Kingston, Intel SSD

"Load_Cycle_Count" = "Load Cycle Count"; // 226

"Workld_Media_Wear_Indic" = "Workload Media Wear Indicator"; // 226- Kingston, Intel SSD, Title: Timed Workload Media Wear Indicator (percent*1024)

"Intel_Internal" = "Intel Internal"; // 226-228- Intel SSD

"Load-in_Time" = "Load-in Time"; // 227

"Workld_Host_Reads_Perc" = "Workload Host Reads Percentage"; // 227- Kingston, Intel SSD, Titie: Timed Workload Host Reads Percentage

"Torq-amp_Count" = "Torque Amplification Count"; // 228

"Workload_Minutes" = "Workload Minutes"; // 228- Kingston, Intel SSD

"Power-off_Retract_Count" = "Power-off Retract Count"; // 229

"Halt_System/Flash_ID" = "Halt System/Flash ID"; // 229- Kingston/JMicron SSD, Format: Halt, Flash[7]

"Flash_ID" = "Flash ID"; // 229- InnoDisk InnoLite SATADOM D150QV-L SSDs

"Head_Amplitude" = "Head Amplitude"; // 230- IBM

//"Temperature_Celsius" = "Temperature Celsius"; // 231- see 194 for strings entry

"Life_Curve_Status" = "Life Curve Status"; // 230- SandForce Driven SSDs

"SSD_Life_Left" = "SSD Life Left"; // 231- SandForce Driven SSDs

"Available_Reservd_Space" = "Available Reserved Space"; // 232- Intel SSD

"Firmware_Version_Info" = "Firmware Version Info"; // 232- Kingston/JMicron SSD, Format: "YYMMDD", #Channels, #Banks

"Lifetime_Writes" = "Lifetime Writes"; // 232- Indilinx Barefoot_2/Everest/Martini based SSDs

"Media_Wearout_Indicator" = "Media Wearout Indicator"; // 233- Intel SSD

"ECC_Fail_Record" = "ECC Fail Record"; // 233- Kingston/JMicron SSD, Format: Fail number, Row[3], Channel, Bank

"SandForce_Internal" = "SandForce Internal Health"; // 233 & 234- SandForce Driven SSDs

"Avg/Max_Erase_Count" = "Average or Maximum Erase Count"; // 234

"Avg/Max_Erase_Ct" = "Average or Maximum Erase Count"; // 234- JMicron based SSDs

"Good/Sys_Block_Ct" = "Good/System Block Count";// 235

"Good/Sys_Block_Count" = "Good/System Block Count";// 235- JMicron based SSDs

"POR_Recovery_Count" = "POR Recovery Count";// 235- Samsung based SSDs

"Later_Bad_Block" = "Later Bad Block"; // 235- InnoDisk InnoLite SATADOM D150QV-L SSDs

"SuperCap_Health" = "SuperCap Health"; // 235- SandForce Driven SSDs

"Unstable_Power_Count" = "Unstable Power Count"; // 236- InnoDisk InnoLite SATADOM D150QV-L SSDs

"Head_Flying_Hours" = "Head Flying Hours"; // 240

"Transfer_Error_Rate" = "Transfer Error Rate"; // 240- Fujitsu

"Write_Head" = "Write Head"; // 240- InnoDisk InnoLite SATADOM D150QV-L SSDs

"Total_LBAs_Written" = "Total LBAs Written"; // 241

//"Host_Writes_32MiB" = "Host Writes per 32MB"; // 241- see 225 for strings entry

"Lifetime_Writes_GiB" = "Lifetime Writes in GB"; // 241- SandForce Driven SSDs

"Total_LBAs_Read" = "Total LBAs Read"; // 242

"Host_Reads_32MiB" = "Host reads per 32MB"; // 242- Intel SSD

"Lifetime_Reads_GiB" = "Lifetime Reads in GB"; // 242- SandForce Driven SSDs

"NAND_Writes_1GiB" = "NAND Writes 1GB"; // 249- Intel 330/335 Series SSDs

"Total_NAND_Prog_Ct_GiB" = "Total NAND Program Count per GB"; // 249- Indilinx Barefoot 3 based SSDs

"Read_Error_Retry_Rate" = "Read Error Retry Rate"; //250

"Min_Spares_Remain_Perc" = "Minimum Spares Remaining Percentage"; //251- Smart Storage Systems Xcel-10 SSDs

"Added_Bad_Flash_Blk_Ct" = "Added Bad Flash Block Count"; //252- Smart Storage Systems Xcel-10 SSDs

"Total_Erase_Blocks_Ct" = "Total Erase Blocks Count"; //254- Smart Storage Systems Xcel-10 SSDs

"Free_Fall_Sensor" = "Free Fall Sensor"; // 254

/* Unknown Attribute IDs */

"TempFahr2" = "Temperature Fahrenheit";

"TempCel2" = "Temperature Celsius";

"Unknown_Attribute" = "Unknown Attribute";

"Unknown_HDD_Attribute" = "Unknown HDD Attribute";

"Unknown_SSD_Attribute" = "Unknown SSD Attribute";
